<?php
/**
 * @copyright   &copy; 2005-2019 PHPBoost
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Kévin BRISSEZ <brissez.kevin@gmail.com>
 * @version     PHPBoost 5.0 - last update: 2019 11 01
 * @since       PHPBoost 5.0 - 2019 07 01
 */
define('PATH_TO_ROOT', '..');

require_once PATH_TO_ROOT . '/kernel/init.php';

$url_controller_mappers = array(
    new UrlControllerMapper('AdminNotificationsConfigController', '`^/admin(?:/config)?/?$`'),
    new UrlControllerMapper('AdminNotificationsFormController', '`/admin/send-notification`'),
    new UrlControllerMapper('NotificationsHomeController', '`^(?:/([0-9]+))?/?$`', array(
        'page'
    )),
    new UrlControllerMapper('NotificationsArchivesController', '`^/archives(?:/([0-9]+))?/?$`', array(
        'page'
    )),
    new UrlControllerMapper('NotificationsDeleteController', '`^/([0-9]+)/delete/?$`', array(
        'id'
    ))
);

DispatchManager::dispatch($url_controller_mappers);
?>
 